Subject: bug#25355: 26.0.50; Provide function to non-destructively replace buffer contents

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 May 2017 22:19:07 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Sun, 07 May 2017 18:45:07 +0000
> Cc: [email-masked]
> 
>  What do you mean by "use"? Treat it as an optional library, like we
>  do with image support and GnuTLS? I thought you wanted this feature
>  to be present in every Emacs, not only Emacs linked against that
>  library.
> 
> I just want to link it statically by adding the required source files to the source tree, like we do for e.g.
> oldXmenu.

That means we need legal papers, AFAIU.

> If this requires copyright assignment, then I'll stop immediately and reimplement this as a dynamic module
> outside of Emacs.

Maybe I'm missing something, but I don't see how legal paperwork could
be avoided in this case.  Perhaps ask RMS.